%{?mingw_package_header}

%global _basename opusfile

Name:          mingw-%{_basename}
Version:       0.8
Release:       1%{?dist}
Summary:       A high-level API for decoding and seeking within .opus files

Group:         System Environment/Libraries
License:       BSD
URL:           http://www.opus-codec.org/
Source0:       https://archive.mozilla.org/pub/opus/%{_basename}-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libogg
BuildRequires: mingw32-openssl
BuildRequires: mingw32-opus

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libogg
BuildRequires: mingw64-openssl
BuildRequires: mingw64-opus

%description
libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.

%package -n mingw32-%{_basename}
Summary: A high-level API for decoding and seeking within .opus files

%description -n mingw32-%{_basename}
libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.
This is the MinGW version, built for the win32 target.

%package -n mingw64-%{_basename}
Summary: A high-level API for decoding and seeking within .opus files

%description -n mingw64-%{_basename}
libopusfile provides a high-level API for decoding and seeking
within .opus files. It includes:
* Support for all files with at least one Opus stream (including
multichannel files or Ogg files where Opus is muxed with something else).
* Full support, including seeking, for chained files.
* A simple stereo downmixing API (allowing chained files to be
decoded with a single output format, even if the channel count changes).
* Support for reading from a file, memory buffer, or over HTTP(S)
(including seeking).
* Support for both random access and streaming data sources.
This is the MinGW version, built for the win64 target.

%{?mingw_debug_package}


%prep
%setup -q -n %{_basename}-%{version}


%build
%{mingw_configure} --disable-static

%{mingw_make} %{?_smp_mflags} V=1


%install
# Unset dist_doc_DATA to prevent installing docs. Use files sections instead.
%{mingw_make} DESTDIR=%{buildroot} INSTALL='install -p' dist_doc_DATA= install 

# Remove libtool archives.
find %{buildroot} -name '*.la' -delete


%files -n mingw32-%{_basename}
%doc AUTHORS README.txt
%license COPYING
%{mingw32_bindir}/libopusfile-0.dll
%{mingw32_bindir}/libopusurl-0.dll
%{mingw32_libdir}/libopusfile.dll.a
%{mingw32_libdir}/libopusurl.dll.a
%{mingw32_libdir}/pkgconfig/opusfile.pc
%{mingw32_libdir}/pkgconfig/opusurl.pc
%{mingw32_includedir}/opus/opus*

%files -n mingw64-%{_basename}
%doc AUTHORS README.txt
%license COPYING
%{mingw64_bindir}/libopusfile-0.dll
%{mingw64_bindir}/libopusurl-0.dll
%{mingw64_libdir}/libopusfile.dll.a
%{mingw64_libdir}/libopusurl.dll.a
%{mingw64_libdir}/pkgconfig/opusfile.pc
%{mingw64_libdir}/pkgconfig/opusurl.pc
%{mingw64_includedir}/opus/opus*


%changelog
* Tue Oct 04 2016 David King <amigadave@amigadave.com> - 0.8-1
- Update to 0.8

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 07 2016 David King <amigadave@amigadave.com> - 0.7-1
- Update to 0.7

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 14 2014 David King <amigadave@amigadave.com> 0.6-1
- Update to 0.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 David King <amigadave@amigadave.com> 0.5-1
- Ported Fedora package to MinGW (#1085352)
